#ifndef QAD_TOUCH_WIDGETS_H
#define QAD_TOUCH_WIDGETS_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADTouchWidgets
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.touch_widgets")
#endif

public:
	explicit QADTouchWidgets(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_TOUCH_WIDGETS_H
